<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: EDMA3_RM_Obj Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>EDMA3_RM_Obj Struct Reference<br>
<small>
[<a class="el" href="group__Edma3ResMgrIntObjMaint.html">Object Maintenance</a>]</small>
</h1><!-- doxytag: class="EDMA3_RM_Obj" -->EDMA3 Hardware Instance Configuration Structure.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="edma3resmgr_8h_source.html">edma3resmgr.h</a>&gt;</code>
<p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Obj.html#e3c0a4a97c25259407c34e3582255198">phyCtrllerInstId</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__Edma3ResMgrIntObjMaint.html#g12f47d9e744ff042541b8f384331e213">EDMA3_RM_ObjState</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Obj.html#a262df0776f0a9b6163e8f64d91a0265">state</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Obj.html#13b4308a8ad6baf647b5c7adbe54702c">numOpens</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structEDMA3__RM__GblConfigParams.html">EDMA3_RM_GblConfigParams</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Obj.html#6bac11beb5c7f95204cac16455bb424c">gblCfgParams</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Init-time Configuration structure for EDMA3 controller, to provide Global SoC specific Information.  <a href="#6bac11beb5c7f95204cac16455bb424c"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
EDMA3 Hardware Instance Configuration Structure. 
<p>
Used to maintain information of the EDMA3 HW configuration. One such storage exists for each instance of the EDMA 3 HW. <hr><h2>Field Documentation</h2>
<a class="anchor" name="6bac11beb5c7f95204cac16455bb424c"></a><!-- doxytag: member="EDMA3_RM_Obj::gblCfgParams" ref="6bac11beb5c7f95204cac16455bb424c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structEDMA3__RM__GblConfigParams.html">EDMA3_RM_GblConfigParams</a> <a class="el" href="structEDMA3__RM__Obj.html#6bac11beb5c7f95204cac16455bb424c">EDMA3_RM_Obj::gblCfgParams</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Init-time Configuration structure for EDMA3 controller, to provide Global SoC specific Information. 
<p>
This configuration will can be provided by the user at run-time, while calling <a class="el" href="group__Edma3RMMain.html#gdc4459024208af43ca53740f5f0e24f2" title="Create EDMA3 Resource Manager Object.">EDMA3_RM_create()</a>. 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02086">EDMA3_RM_allocLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04708">EDMA3_RM_checkAndClearTcc()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00957">EDMA3_RM_close()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00358">EDMA3_RM_create()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04269">EDMA3_RM_freeContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02715">EDMA3_RM_freeLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01718">EDMA3_RM_freeResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05339">EDMA3_RM_getBaseAddress()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04487">EDMA3_RM_getCCRegister()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05006">EDMA3_RM_getPaRAM()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05179">EDMA3_RM_getPaRAMPhyAddr()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03072">EDMA3_RM_mapEdmaChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03229">EDMA3_RM_mapQdmaChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03381">EDMA3_RM_registerTccCb()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04394">EDMA3_RM_setCCRegister()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04842">EDMA3_RM_setPaRAM()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03541">EDMA3_RM_unregisterTccCb()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l04572">EDMA3_RM_waitAndClearTcc()</a>.</p>

</div>
</div><p>
<a class="anchor" name="13b4308a8ad6baf647b5c7adbe54702c"></a><!-- doxytag: member="EDMA3_RM_Obj::numOpens" ref="13b4308a8ad6baf647b5c7adbe54702c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__Obj.html#13b4308a8ad6baf647b5c7adbe54702c">EDMA3_RM_Obj::numOpens</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Number of active opens of RM Instances 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l00957">EDMA3_RM_close()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00358">EDMA3_RM_create()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>.</p>

</div>
</div><p>
<a class="anchor" name="e3c0a4a97c25259407c34e3582255198"></a><!-- doxytag: member="EDMA3_RM_Obj::phyCtrllerInstId" ref="e3c0a4a97c25259407c34e3582255198" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__Obj.html#e3c0a4a97c25259407c34e3582255198">EDMA3_RM_Obj::phyCtrllerInstId</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
HW Instance Id of the EDMA3 Controller 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l02086">EDMA3_RM_allocLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00957">EDMA3_RM_close()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00358">EDMA3_RM_create()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02715">EDMA3_RM_freeLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01718">EDMA3_RM_freeResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05512">EDMA3_RM_getInstanceInitCfg()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05006">EDMA3_RM_getPaRAM()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05179">EDMA3_RM_getPaRAMPhyAddr()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l04842">EDMA3_RM_setPaRAM()</a>.</p>

</div>
</div><p>
<a class="anchor" name="a262df0776f0a9b6163e8f64d91a0265"></a><!-- doxytag: member="EDMA3_RM_Obj::state" ref="a262df0776f0a9b6163e8f64d91a0265" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Edma3ResMgrIntObjMaint.html#g12f47d9e744ff042541b8f384331e213">EDMA3_RM_ObjState</a> <a class="el" href="structEDMA3__RM__Obj.html#a262df0776f0a9b6163e8f64d91a0265">EDMA3_RM_Obj::state</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
State information of the Resource Manager object 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l00957">EDMA3_RM_close()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00358">EDMA3_RM_create()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00539">EDMA3_RM_delete()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="edma3resmgr_8h_source.html">edma3resmgr.h</a></ul>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:49 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
